export interface IFieldComponent {
    [K: string]: any;
}
export declare class PartEditorField<T = void> {
    protected _component: IFieldComponent;
    protected _key: string;
    protected _el?: HTMLElement;
    static readonly propertyType: any;
    constructor(component: IFieldComponent, key: string);
    getDOM(): HTMLElement | undefined;
    getFullKeyName(): string;
    getValue(): T;
    setValue(v: any): void;
    dispose(): void;
}
